OBRingTyper Class Reference

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files
- Examples

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Protected Attributes
OBRingTyper Class Reference

`#include <openbabel/typer.h>`

Inheritance diagram for OBRingTyper:
[legend]

List of all members.

## Public Member Functions
| OBRingTyper ()
| ~OBRingTyper ()
void | ParseLine (const char *)
size_t | GetSize ()
void | AssignTypes (OBMol &)
void | Init ()
void | SetReadDirectory (char *dir)
void | SetEnvironmentVariable (char *var)
## Protected Attributes
bool | _init
const char * | _dataptr
std::string | _filename
std::string | _dir
std::string | _subdir
std::string | _envvar

## Detailed Description

Assigns ring types.

The OBRingTyper class is designed to read in a list of ring typing rules and apply them to molecules. The code that performs ring typing is not usually used directly as ring typing is done automatically when the ring type is requested of rings:

        vector<OBRing*>::iterator i;
        vector<OBRing*> rlist = mol.GetSSSR();

        for (i = rlist.begin();i != rlist.end();++i)
        cout << "ring type = " << (*i)->GetType() << endl;

## Constructor & Destructor Documentation

OBRingTyper | ( |  | ) |

~OBRingTyper | ( |  | ) |

## Member Function Documentation

void ParseLine | ( | const char * |  | ) | `[virtual]`

Specified by particular table classes (parses an individual data line)

Reimplemented from OBGlobalDataBase.

size_t GetSize | ( |  | ) | `[inline, virtual]`

Returns:
  the number of SMARTS patterns

Reimplemented from OBGlobalDataBase.

void AssignTypes | ( | OBMol & | mol | ) |

Assign external atomic types (ringtyp.txt)

Referenced by OBRing::GetType().

void Init | ( |  | ) | `[inherited]`

Read in the data file, falling back as needed.

void SetReadDirectory | ( | char * | dir | ) | `[inline, inherited]`

Set the directory before calling Init()

void SetEnvironmentVariable | ( | char * | var | ) | `[inline, inherited]`

Set the environment variable to use before calling Init()

## Member Data Documentation

bool _init`[protected, inherited]`

Whether the data been read already.

const char* _dataptr`[protected, inherited]`

Default data table if file is unreadable.

std::string _filename`[protected, inherited]`

File to search for.

std::string _dir`[protected, inherited]`

Data directory for file if _envvar fails.

std::string _subdir`[protected, inherited]`

Subdirectory (if using environment variable)

std::string _envvar`[protected, inherited]`

Environment variable to check first.

The documentation for this class was generated from the following files:

- typer.h
- typer.cpp

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Defines